interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://www.reddit.com/r/Python/comments/2xmo63.json
  response:
    body:
      string: !!binary |
[encoded data, 12240 characters]
        1QVQbiZMv/0/ue9kMff/AAA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['8225']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:40:53 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjfubq.2.1505364053766.Z0FBQUFBQlp1Z2hWTnZ2aUFOQTJHTUNPY194bFJpYjczcmgwckFFOGJ6dWpOMXQybkZ1OXBRMnduMTdtN2h5Y2ZGN0o0UWhQM0cwUVh2Y2k2VkRtcjQtbjcycnkxTXNyYVFlUG8yMlpzNi1EVTZvZUZuV0U0TDRzMmo5a2UzbmlZeGN6ZWxGSElvc2M;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:40:53
          GMT; secure', 'session_tracker=3M6Lw1iojuvK9IhJ55.0.1505364053761.Z0FBQUFBQlp1Z2hWS3dPdWZnYm11dnc2TXI3cEJHdW5EX2h4V3ZQM05fM0p3cXNhMHpBV1pwRFJvZWYwRG9FQkdNa014b0NTV24yMU9YdXFjUXNtTjlQT0o3d3BqNng3ckJwZW90TVpBcnZYYldyOHFsUDFLNW4zakZucWRGNlB6MWVSdHg5Uk1NN0I;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:53
          GMT; secure', edgebucket=vwl7OJCu7Q0idBmmky; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1724-ORD]
      X-Timer: ['S1505364054.742981,VS0,VE227']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjfubq.2.1505364053766.Z0FBQUFBQlp1Z2hWTnZ2aUFOQTJHTUNPY194bFJpYjczcmgwckFFOGJ6dWpOMXQybkZ1OXBRMnduMTdtN2h5Y2ZGN0o0UWhQM0cwUVh2Y2k2VkRtcjQtbjcycnkxTXNyYVFlUG8yMlpzNi1EVTZvZUZuV0U0TDRzMmo5a2UzbmlZeGN6ZWxGSElvc2M;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:40:53
          GMT; secure', 'session_tracker=3M6Lw1iojuvK9IhJ55.0.1505364053761.Z0FBQUFBQlp1Z2hWS3dPdWZnYm11dnc2TXI3cEJHdW5EX2h4V3ZQM05fM0p3cXNhMHpBV1pwRFJvZWYwRG9FQkdNa014b0NTV24yMU9YdXFjUXNtTjlQT0o3d3BqNng3ckJwZW90TVpBcnZYYldyOHFsUDFLNW4zakZucWRGNlB6MWVSdHg5Uk1NN0I;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:53
          GMT; secure', edgebucket=vwl7OJCu7Q0idBmmky; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=OnkTxGiTaBsOfap1vJ7Gi4hKXfI%2Bsgw1TpNyc7aKUL6XKg4P6goZ%2B5ZqEOWhzkDm87713mHWS4c%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=vwl7OJCu7Q0idBmmky; loid=00000000000drjfubq.2.1505364053766.Z0FBQUFBQlp1Z2hWTnZ2aUFOQTJHTUNPY194bFJpYjczcmgwckFFOGJ6dWpOMXQybkZ1OXBRMnduMTdtN2h5Y2ZGN0o0UWhQM0cwUVh2Y2k2VkRtcjQtbjcycnkxTXNyYVFlUG8yMlpzNi1EVTZvZUZuV0U0TDRzMmo5a2UzbmlZeGN6ZWxGSElvc2M;
          session_tracker=3M6Lw1iojuvK9IhJ55.0.1505364053761.Z0FBQUFBQlp1Z2hWS3dPdWZnYm11dnc2TXI3cEJHdW5EX2h4V3ZQM05fM0p3cXNhMHpBV1pwRFJvZWYwRG9FQkdNa014b0NTV24yMU9YdXFjUXNtTjlQT0o3d3BqNng3ckJwZW90TVpBcnZYYldyOHFsUDFLNW4zakZucWRGNlB6MWVSdHg5Uk1NN0I]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://www.reddit.com/comments/571dw3.json
  response:
    body:
      string: !!binary |
[encoded data, 47940 characters]
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['32146']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:40:54 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1724-ORD]
      X-Timer: ['S1505364054.041088,VS0,VE748']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=3M6Lw1iojuvK9IhJ55.0.1505364054057.Z0FBQUFBQlp1Z2hXbVdzV0FaVG9Rc3FnUnRwcWJDdXZlQl92THBwRmMyOUZYRmJzaGhRc01jRmhRVjZLZ0dqUDc5VGs2NEdNYkVHUmRVTTY4WXFaT09Tc1N2YnZ1RTRSUGNybGZNRXdUZmNsV0o1RTBIb3Y1TGkyaWNyN2Z0Q0dTTDZRRXFGQ3l2RXI;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:54
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=83lUcNBDfHKvJqs8G%2B407QjGaLhLhnE%2FSbS1OGFDLICbel%2BXhivD7DSBWm%2FBQ15PehRyvOaQ3ocpM7akrRhr2ip8yuiCFeDc']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
